Walkthroughs

Get Walkthrough Details And Current Workflow State

GEThttps://api.getcovent.com/api/v1/walkthroughs/wt_123

Retrieve walkthrough details and current workflow state.

How to Call

Use one of the examples below to call this endpoint from your own integration.

curl -X GET "https://api.getcovent.com/api/v1/walkthroughs/wt_123" \
  -H "Authorization: Bearer <API_KEY>" \
  -H "Accept: application/json"

Request

Review headers, parameters, and body fields before calling this endpoint.

AuthorizationstringRequired

Bearer token for the proposed external API contract.

Example: Bearer <API_KEY>
AcceptstringRequired

Response format header.

Example: application/json

idstringRequired

id path parameter.

Example: wt_123

Response

200application/json

idstringRequired

id response field.

Example: wt_123
listing_idstringRequired

listing_id response field.

Example: lst_123
individual_idstringRequired

individual_id response field.

Example: ind_123
scheduled_atstringRequired

scheduled_at response field.

Example: 2026-04-21T17:00:00Z
attendeesarrayRequired

attendees response field.

Example: [{"name":"Jordan Lee","role":"buyer"}]
statusstringRequired

status response field.

Example: scheduled
notesstringRequired

notes response field.

Example: Meet at front gate.
created_atstringRequired

created_at response field.

Example: 2026-04-17T20:00:00Z
updated_atstringRequired

updated_at response field.

Example: 2026-04-17T20:00:00Z

Response Example

{
  "id": "wt_123",
  "listing_id": "lst_123",
  "individual_id": "ind_123",
  "scheduled_at": "2026-04-21T17:00:00Z",
  "attendees": [
    {
      "name": "Jordan Lee",
      "role": "buyer"
    }
  ],
  "status": "scheduled",
  "notes": "Meet at front gate.",
  "created_at": "2026-04-17T20:00:00Z",
  "updated_at": "2026-04-17T20:00:00Z"
}